function gangnam_style.load()
  gangnam_style.clamp = function(value, min, max)
    return value < min and min or math.min(value,max)
  end
  gangnam_style.cycle = function(value, min, max)
    return ((value > max) and min or ((value < min and max) or value))
  end  
  gangnam_style.frames = {}
  for _,file in ipairs(gangnam_style.filesystem.enumerate('Res/Img')) do
    gangnam_style.frames[#gangnam_style.frames+1] = gangnam_style.graphics.newImage(('Res/Img/%s'):format(file))
  end
  gangnam_style.numFrames = #gangnam_style.frames
  gangnam_style.counter, gangnam_style.curFrame = 0,1
  gangnam_style.stream = gangnam_style.audio.newSource('Res/Audio/Psy_Gangnam_Style.mp3','stream')
  gangnam_style.stream:setLooping(true)
  gangnam_style.audio.play(gangnam_style.stream)
end

function gangnam_style.update(dt)
  gangnam_style.counter = gangnam_style.cycle(gangnam_style.counter + 15*dt,0,gangnam_style.numFrames)
  gangnam_style.curFrame = gangnam_style.clamp(math.ceil(gangnam_style.counter+dt),1,gangnam_style.numFrames)
end

function gangnam_style.draw()
  gangnam_style.graphics.draw(gangnam_style.frames[gangnam_style.curFrame],0,0)
end